package tessile;

public abstract class Materiale {
	
	public static enum TipoMateriale{ABBIGLIAMENTO, ARREDAMENTO};
	
	private static int codiceProgressivo=1;
	
	protected int codice;
	protected String descrizione;
	protected double costoAlMetro;
	
	public Materiale(){
		this("",0);
	}
	
	public Materiale(String descrizione, double costoAlMetro){
		this.codice = codiceProgressivo++;
		this.descrizione = descrizione;
		this.costoAlMetro = costoAlMetro;
	}
	
	public abstract TipoMateriale getTipoMateriale();
	
	public int getCodice(){
		return codice;
	}
	
	public String getDescrizione(){
		return descrizione;
	}
	
	public double getCostoAlMetro(){
		return costoAlMetro;
	}
	
	public abstract double costoFornitura(int metri);
	
	public String toString(){
		String s = "Codice: " + codice + "\n";
		s += "Descrizione: " + descrizione + "\n";
		s += "Costo al metro: " + costoAlMetro + "\n";
		return s;
	}

}
